/*  SERIAL.H  Unit fr V24-Ansteuerung, universelle Software-Schnittstelle */

#ifndef SERIAL_INCLUDED
#define SERIAL_INCLUDED

extern dword  InitSerial (long baudrate, word wo);  /* liefert tatschliche Baudrate zurck */

extern int  V24numTxFree (int uart);         /* liefert Anzahl freier Pltze im Tx Puffer */
extern char V24Char_Out  (char c, int uart); /* Zeichen auf UART1 ausgeben */
extern void V24TxDone    (int uart);         /* warten bis alles gesendet */
extern bool V24RxAvail   (int uart);         /* ob empfangene Zeichen anliegen */
extern char V24GetChar   (int uart);         /* liest empfangenes Zeichen (ohne Warten) */

#endif
